quetz-mod_python-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Graham Dumpleton" <grah...@dscpl.com.au>
Subject Re: mod_python 3.2.9-rc2 available for testing
Date Tue, 27 Jun 2006 22:30:45 GMT
Jim Gallacher wrote ..
> So do you think we can release 3.2.9 with the old 3.2.8 code, or should
> this block the release until we have a correct fix? I'm hoping we can do
> a 3.3 release in October or November, FYI.

I don't think it is worth trying to work on a fix that makes new
FieldStorage code work with Trac. Just go with 3.2.8 FieldStorage code
in 3.2.9. In 3.3 then use new code with understanding that it will break
Trac.

I see this as acceptable as version of Trac in subversion trunk does
away with all the FieldStorage fiddles and instead they base it on a
WSGI wrapper which I presume therefore avoids use of FieldStorage.

We just need to ensure that this newer version of Trac is released
before we release mod_python 3.3 and that we notify them that older
versions of Trac will not work with mod_python 3.3 and people will need
to use their most latest version of Trac instead.

Graham

Mime
View raw message